nfsoft_plan_ Struct Reference
Collaboration diagram for nfsoft_plan_:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients.
NFFT_INT | M_total
| Total number of samples.
fftw_complex * | f_hat
| Fourier coefficients.
fftw_complex * | f
| Samples.
void(* | mv_trafo )(void *)
| Transform.
void(* | mv_adjoint )(void *)
| Adjoint transform.
double * | x
| input nodes
fftw_complex * | wig_coeffs
| deprecated variable
fftw_complex * | cheby
| deprecated variable
fftw_complex * | aux
| deprecated variable
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfft_plan | p_nfft
| the internal NFFT plan
fpt_set * | internal_fpt_set
| the internal FPT plan
int | nthreads
| the number of threads

## Detailed Description

Definition at line 693 of file nfft3.h.

## Field Documentation

## N_total

NFFT_INT nfsoft_plan_::N_total

Total number of Fourier coefficients.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

## M_total

NFFT_INT nfsoft_plan_::M_total

Total number of samples.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_init_guru_advanced(), nfsoft_precompute(), and nfsoft_trafo().

## f_hat

fftw_complex* nfsoft_plan_::f_hat

Fourier coefficients.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

## f

fftw_complex* nfsoft_plan_::f

Samples.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

## mv_trafo

void(* nfsoft_plan_::mv_trafo) (void *)

Transform.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

## mv_adjoint

void(* nfsoft_plan_::mv_adjoint) (void *)

Adjoint transform.

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

## x

double* nfsoft_plan_::x

input nodes

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_precompute().

## wig_coeffs

fftw_complex* nfsoft_plan_::wig_coeffs

deprecated variable

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

## cheby

fftw_complex* nfsoft_plan_::cheby

deprecated variable

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

## aux

fftw_complex* nfsoft_plan_::aux

deprecated variable

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_init_guru_advanced().

## t

int nfsoft_plan_::t

the logarithm of NPT with respect to the basis 2

Definition at line 693 of file nfft3.h.

## flags

unsigned int nfsoft_plan_::flags

the planner flags

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

## p_nfft

nfft_plan nfsoft_plan_::p_nfft

the internal NFFT plan

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), nfsoft_precompute(), and nfsoft_trafo().

## internal_fpt_set

fpt_set* nfsoft_plan_::internal_fpt_set

the internal FPT plan

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_adjoint(), nfsoft_finalize(), nfsoft_init_guru_advanced(), and nfsoft_trafo().

## nthreads

int nfsoft_plan_::nthreads

the number of threads

Definition at line 693 of file nfft3.h.

Referenced by nfsoft_finalize(), and nfsoft_init_guru_advanced().

The documentation for this struct was generated from the following file:

- nfft3.h